<!-- TITLE -->
<div class="mb-40 mt-40">
    <h1>Manage User</h1>
</div>

<!-- SEARCH FORM -->
<div class="card">

    <div class="card-header">
        <i class="fa fa-search"></i> Search
    </div>
    <div class="card-body">
        <form #searchForm="ngForm">
            <div class="row justify-content-md-center">
                <div class="col-md-10">
                    <div class="form-group">
                        <label for="title">Username</label>
                        <input type="text" class="form-control" id="username" [(ngModel)]="search.username" name="username" #username="ngModel">
                    </div>
                    <div class="form-group">
                        <label for="username">activo</label>
                        <input type="string" class="form-control" id="activo" [(ngModel)]="search.activo" name="activo" #activo="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">apellidos</label>
                        <input type="string" class="form-control" id="apellidos" [(ngModel)]="search.apellidos" name="apellidos" #apellidos="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">claveValidez</label>
                        <input type="date" class="form-control" id="clavevalidez" [(ngModel)]="search.clavevalidez" name="clavevalidez" #clavevalidez="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">contrasenia</label>
                        <input type="string" class="form-control" id="contrasenia" [(ngModel)]="search.contrasenia" name="contrasenia" #contrasenia="ngModel" reqired>
                    </div>
                    <div class="form-group">
                        <label for="username">correo</label>
                        <input type="string" class="form-control" id="correo" [(ngModel)]="search.correo" name="correo" #correo="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">fechaActualizacion</label>
                        <input type="date" class="form-control" id="fechaactualizacion" [(ngModel)]="search.fechaactualizacion" name="fechaactualizacion" #fechaactualizacion="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">fechaLogin</label>
                        <input type="date" class="form-control" id="fechalogin" [(ngModel)]="search.fechalogin" name="fechalogin" #fechalogin="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">fechaRegistro</label>
                        <input type="date" class="form-control" id="fecharegistro" [(ngModel)]="search.fecharegistro" name="fecharegistro" #fecharegistro="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">foto</label>
                        <input type="string" class="form-control" id="foto" [(ngModel)]="search.foto" name="foto" #foto="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">fotoId</label>
                        <input type="string" class="form-control" id="fotoid" [(ngModel)]="search.fotoid" name="fotoid" #fotoid="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">identificacion</label>
                        <input type="string" class="form-control" id="identificacion" [(ngModel)]="search.identificacion" name="identificacion" #identificacion="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">intentos</label>
                        <input type="integer" class="form-control" id="intentos" [(ngModel)]="search.intentos" name="intentos" #intentos="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">nombres</label>
                        <input type="string" class="form-control" id="nombres" [(ngModel)]="search.nombres" name="nombres" #nombres="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">recuperacion</label>
                        <input type="string" class="form-control" id="recuperacion" [(ngModel)]="search.recuperacion" name="recuperacion" #recuperacion="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="username">tipoIdentificacion</label>
                        <input type="string" class="form-control" id="tipoidentificacion" [(ngModel)]="search.tipoidentificacion" name="tipoidentificacion" #tipoidentificacion="ngModel" >
                    </div>
                    <div class="form-group">
                        <label for="title">Role</label>
                        <input type="text" class="form-control" id="role" [(ngModel)]="search.role" name="role" #role="ngModel">
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>


<!-- TABLE LIST -->
<table class="table table-hover mt-40">
    <thead>
        <tr>
            <th>Username</th>
            <th>Activo</th>
            <th>Apellidos</th>
            <th>ClaveValidez</th>
            <th>Contrasenia</th>
            <th>Correo</th>
            <th>FechaActualizacion</th>
            <th>FechaLogin</th>
            <th>FechaRegistro</th>
            <th>Foto</th>
            <th>FotoId</th>
            <th>Identificacion</th>
            <th>Intentos</th>
            <th>Nombres</th>
            <th>Recuperacion</th>
            <th>TipoIdentificacion</th>
            <th>Roles</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let user of users | search:{'username' : search.username, 'name' : search.name, 'surname' : search.surname, 'mail' : search.mail, 'roles' : search.role }">
            <td><a [routerLink]="['/manage-users/', user._id]">{{user.username}}</a></td>
            <td>{{user.activo }}</td>
            <td>{{user.apellidos }}</td>
            <td>{{user.clavevalidez }}</td>
            <td>{{user.contrasenia }}</td>
            <td>{{user.correo }}</td>
            <td>{{user.fechaactualizacion }}</td>
            <td>{{user.fechalogin }}</td>
            <td>{{user.fecharegistro }}</td>
            <td>{{user.foto }}</td>
            <td>{{user.fotoid }}</td>
            <td>{{user.identificacion }}</td>
            <td>{{user.intentos }}</td>
            <td>{{user.nombres }}</td>
            <td>{{user.recuperacion }}</td>
            <td>{{user.tipoidentificacion }}</td>
            <td>
                <span *ngFor="let role of user.roles" class="badge badge-pill badge-primary mr-2">{{role}}</span>
            </td>
        </tr>
    </tbody>
</table>

<!-- BUTTON -->
<button class="btn btn-primary text-center pull-right mb-20" routerLink="/manage-users/new">
    <span>
        <i class="fa fa-plus"></i>
    </span>
</button>